# Project 11 (P11) grading rubric

## Code reviews

- A TA / grader will be reviewing your code after the deadline.
- They will make deductions based on the Rubric provided below.
- To ensure that you don’t lose any points in code review, you must review the rubric and make sure that you have followed the instructions provided in the project correctly.

## Rubric

### General guidelines:

- Displaying excessive irrelevant information (-3)
- Outputs not visible/did not save the notebook file prior to running the cell containing "export". We cannot see your output if you do not save before generating the zip file. (-3)
- Used concepts/modules (like `csv.DictReader`, `pandas`, `os.path.walk`) not covered in class yet (built-in functions that you have been introduced to can be used) (-3)
- `import` statements are not mentioned in the required cell at the top of the notebook or used additional import statements beyond those that are stated in the directions (-3)

### Question specific guidelines:

- Q1 (3)
	- Required data structure is not used (-1)
	- Incorrect logic is used to answer (-1)

- Q2 (3)
	- Recomputed variable defined in Question 1 (-1)
	- Incorrect logic is used to answer (-1)

- Q3 (3)
	- Required data structure is not used (-1)
	- Recomputed variable defined in Question 1 (-1)
	- Incorrect logic is used to answer (-1)

- Q4 (5)
	- Required data structure is not used (-1)
	- Incorrect logic is used to answer (-1)
	- Plot is not properly labeled (-1)
	- Plot is incorrect (-1)

- Q5 (5)
	- Required data structure is not used (-1)
	- Incorrect comparison operator is used (-1)
	- Plot is not properly labeled (-1)
	- Plot is incorrect (-1)

- `star_classes` (3)
	- Required data structure is not used (-1)
	- Incorrect comparison operators are used (-1)
	- Data structure is defined incorrectly (-1)

- Q6 (3)
	- Required data structures are not used (-1)
	- Did not ignore the Star objects with missing `stellar_luminosity` data (-1)
	- Incorrect logic is used to answer (-1)

- Q7 (5)
	- Required data structure is not used (-1)
	- Incorrect logic is used to answer (-1)
	- Plot is not properly labeled (-1)
	- Plot is incorrect (-1)

- Q8 (5)
	- Required data structure is not used (-1)
	- Incorrect comparison operator is used (-1)
	- Plot is not properly labeled (-1)
	- Plot is incorrect (-1)

- Q9 (5)
	- Required data structure is not used (-1)
	- Incorrect logic is used to answer (-1)
	- Plot is not properly labeled (-1)
	- Plot is incorrect (-1)ible/not properly labeled (-2)

- `get_all_paths_in` (6)
	- Hardcoding the name of directory inside the function (-1)
	- Function does not remove all files and directories that start with "." (-1)
	- Function does not sort file names (-1)
	- Paths are hardcoded using "/" or "\" (-1)
	- Function logic is incorrect (-2)

- Q10 (3)
	- Required function is not used (-2)
	- Paths are hardcoded using "/" or "\" (-1)

- Q11 (3)
	- Required function is not used (-2)
	- Paths are hardcoded using "/" or "\" (-1)

- Q12 (3)
	- Required function is not used (-2)
	- Paths are hardcoded using "/" or "\" (-1)

- Q13 (3)
	- Required function is not used (-2)

- `all_planets_list` (5)
	- Required function is not used (-1)
	- Required data structures are not used (-1)
	- `planets_list` data structure is redefined (-1)
	- Paths are hardcoded using "/" or "\" (-1)
	- Data structure is defined incorrectly (-1)

- `get_surface_gravity` (3)
	- Function did not return `None` for missing data (-1)
	- Function logic is incorrect (-2)

- Q14 (3)
	- Required function is not used (-1)
	- Required data structures are not used (-1)
	- Did not exit loop and instead iterated further after finding the answer (-1)

- `get_distances_to_star` (3)
	- Function did not return None for missing data (-1)
	- Function logic is incorrect (-2)

- Q15 (3)
	- Required function is not used (-1)
	- Required data structures are not used (-1)
	- Did not exit loop and instead iterated further after finding the answer (-1)

- `get_liquid_water_distances` (3)
	- Function did not return None for missing data (-1)
	- Function logic is incorrect (-2)

- Q16 (3)
	- Required function is not used (-1)
	- Required data structures are not used (-1)
	- Did not exit loop and instead iterated further after finding the answer (-1)

- Q17 (4)
	- Required function is not used (-1)
	- Required data structures are not used (-1)
	- Incorrect comparison operators are used (-1)
	- Incorrect logic is used to answer (-1)

- `get_surface_temperatures` (3)
	- Function did not return None for missing data (-1)
	- Function logic is incorrect (-2)

- Q18 (3)
	- Required function is not used (-1)
	- Required data structures are not used (-1)
	- Did not exit loop and instead iterated further after finding the answer (-1)

- Q19 (4)
	- Required function is not used (-1)
	- Required data structures are not used (-1)
	- Incorrect comparison operators are used (-1)

- Q20 (5)
	- Required function is not used (-1)
	- Required data structures are not used (-1)
	- Incorrect comparison operators are used (-1)
	- Incorrect logic is used to answer (-1)
